### Method

# Foundry LlmProvider list_tools

#### Declaration [src]

    DexFuture*
    foundry_llm_provider_list_tools (
      FoundryLlmProvider* self
    )

#### Description [src]

List the tools available from the provider.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryLlmTool`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.